
package de.ivu.elect.business.dokumente.control;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.datei.entity.FileType;

@Specializes
public class NlDokumentGenerierenSupportedOpenOfficeFileFormats extends DokumentGenerierenSupportedOpenOfficeFileFormats {

  private static final long serialVersionUID = 1L;

  public NlDokumentGenerierenSupportedOpenOfficeFileFormats() {
    super();
  }

  @Override
  public List<FileType> getSupportedFileTypes() {
    List<FileType> result = new ArrayList<>();

    List<FileType> supportedFileTypes = super.getSupportedFileTypes();

    if (supportedFileTypes.contains(FileType.ODT)) {
      result.add(FileType.ODT);
    }

    if (supportedFileTypes.contains(FileType.DOCX)) {
      // ELECT-10764 result.add(FileType.DOCX);
    }

    if (supportedFileTypes.contains(FileType.PDF)) {
      result.add(FileType.PDF);
    }

    return result;
  }
}
